Create a copyable workspace invitation link
curl --request POST \
--url https://api.acornops.dev/api/v1/workspaces/{workspaceId}/invitations \
--header 'Content-Type: application/json' \
--cookie acornops_cp_session= \
--data '
{
"email": "sre@example.com",
"role": "<string>",
"expiresInDays": 7
}
'const options = {
method: 'POST',
headers: {cookie: 'acornops_cp_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({email: 'sre@example.com', role: '<string>', expiresInDays: 7})
};
fetch('https://api.acornops.dev/api/v1/workspaces/{workspaceId}/invitations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"role": "<string>",
"status": "<string>",
"roleTemplate": {
"key": "<string>",
"displayName": "<string>",
"kind": "system",
"capabilities": [
"<string>"
],
"capabilityGroups": [
{
"key": "workspace",
"capabilities": [
"<string>"
],
"sortOrder": 123
}
],
"protected": true,
"sortOrder": 123,
"description": "<string>"
},
"token": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}Workspaces and members
Create a copyable workspace invitation link
Create a copyable workspace invitation link
curl --request POST \
--url https://api.acornops.dev/api/v1/workspaces/{workspaceId}/invitations \
--header 'Content-Type: application/json' \
--cookie acornops_cp_session= \
--data '
{
"email": "sre@example.com",
"role": "<string>",
"expiresInDays": 7
}
'const options = {
method: 'POST',
headers: {cookie: 'acornops_cp_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({email: 'sre@example.com', role: '<string>', expiresInDays: 7})
};
fetch('https://api.acornops.dev/api/v1/workspaces/{workspaceId}/invitations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"role": "<string>",
"status": "<string>",
"roleTemplate": {
"key": "<string>",
"displayName": "<string>",
"kind": "system",
"capabilities": [
"<string>"
],
"capabilityGroups": [
{
"key": "workspace",
"capabilities": [
"<string>"
],
"sortOrder": 123
}
],
"protected": true,
"sortOrder": 123,
"description": "<string>"
},
"token": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}Authorizations
Path Parameters
Example:
"4b930d98-add9-4924-ab26-3c16d96ec373"
Body
application/json
Example:
"sre@example.com"
Deployment-supported workspace role key. Built-ins are owner, admin, operator, viewer, and auditor; custom roles are lowercase snake_case.
Pattern:
^[a-z][a-z0-9]*(?:_[a-z0-9]+)*$Required range:
1 <= x <= 30Response
Invitation created. Response includes the raw token once and roleTemplate when the role is supported.
Invitation response. Includes the raw invitation token once.